## Get submodules

This project includes the [Agaric styleguide](https://gitlab.com/agaric/styleguide) as a [git submodule](https://git-scm.com/book/en/v2/Git-Tools-Submodules).

### When cloning

```
git clone --recurse-submodules git@gitlab.com:agaric/sites/agaric-com.git
```

### If you cloned without `--recurse-submodules`

If in your initial clone you didn't do as above, you can get the styleguide with:

```
git submodule init
git submodule update
```

### Get started

To be able to import the configuration, you need to get the initializing database (where we will also be collaborating on content) [from the test site](https://agaric-test.drutopia.org/) pending resolution of [drutopia#216](https://gitlab.com/drutopia/drutopia/issues/216).


### Get updates

```
git submodule update --recursive --remote
```

## Theming

See `web/themes/custom/agarica/README.md` and `web/themes/custom/agarica/patternlibrary/README.md`
